Bug 212586 - Konqueror crashed on clicking Bookmarks->Add Bookmark
Summary: Konqueror crashed on clicking Bookmarks->Add Bookmark
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: bookmarks (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-01 02:51 UTC by Guido Winkelmann
Modified: 2011-05-30 09:48 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Winkelmann 2009-11-01 02:51:32 UTC
Version:            (using KDE 4.3.2)
Compiler:          gcc 4.3.2 
OS:                Linux
Installed from:    Gentoo Packages

Konqueror just crashed after clicking on Bookmarks->Add Bookmark.

This instance of Konqueror had a moderate number of windows and tabs open when the crash happened.

Backtrace:

Application: Konqueror (kdeinit4), signal: Segmentation fault
[KCrash Handler]
#5  KonqView::url (this=0x0) at /var/tmp/portage/kde-base/konqueror-4.3.2/work/konqueror-4.3.2/konqueror/src/konqview.cpp:907
#6  0x00007f8e68be4224 in KonqExtendedBookmarkOwner::currentUrl (this=<value optimized out>) at /var/tmp/portage/kde-base/konqueror-4.3.2/work/konqueror-4.3.2/konqueror/src/konqmainwindow.cpp:4374
#7  0x00007f8e7393a877 in KBookmarkMenu::slotAddBookmark (this=0xab7bd00) at /var/tmp/portage/kde-base/kdelibs-4.3.2-r2/work/kdelibs-4.3.2/kio/bookmarks/kbookmarkmenu.cc:596
#8  0x00007f8e7393acf8 in KBookmarkMenu::qt_metacall (this=0xab7bd00, _c=InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff49ff2390)
    at /var/tmp/portage/kde-base/kdelibs-4.3.2-r2/work/kdelibs-4.3.2_build/kio/kbookmarkmenu.moc:79
#9  0x00007f8e7498af05 in QMetaObject::activate (sender=0x6c8e6e0, from_signal_index=<value optimized out>, to_signal_index=6, argv=0xbad1a20) at kernel/qobject.cpp:3101
#10 0x00007f8e71e427a7 in QAction::triggered (this=0x7fff49ff2130, _t1=false) at .moc/release-shared/moc_qaction.cpp:236
#11 0x00007f8e71e43a04 in QAction::activate (this=0x6c8e6e0, event=<value optimized out>) at kernel/qaction.cpp:1160
#12 0x00007f8e721e39fc in QMenuPrivate::activateCausedStack (this=0x6c8ddf0, causedStack=..., action=0x6c8e6e0, action_e=Trigger, self=true) at widgets/qmenu.cpp:967
#13 0x00007f8e721e96cb in QMenuPrivate::activateAction (this=0x6c8ddf0, action=0x6c8e6e0, action_e=179813728, self=true) at widgets/qmenu.cpp:1060
#14 0x00007f8e72f07e51 in KMenu::mouseReleaseEvent (this=0xab7bd60, e=0x7fff49ff3020) at /var/tmp/portage/kde-base/kdelibs-4.3.2-r2/work/kdelibs-4.3.2/kdeui/widgets/kmenu.cpp:456
#15 0x00007f8e71e94ac0 in QWidget::event (this=0xab7bd60, event=0x7fff49ff3020) at kernel/qwidget.cpp:7549
#16 0x00007f8e721ead03 in QMenu::event (this=0xab7bd60, e=0x7fff49ff3020) at widgets/qmenu.cpp:2353
#17 0x00007f8e71e47b7d in QApplicationPrivate::notify_helper (this=0x6b1f70, receiver=0xab7bd60, e=0x7fff49ff3020) at kernel/qapplication.cpp:4056
#18 0x00007f8e71e50ba1 in QApplication::notify (this=<value optimized out>, receiver=0xab7bd60, e=0x7fff49ff3020) at kernel/qapplication.cpp:3758
#19 0x00007f8e72e3860b in KApplication::notify (this=0x7fff49ff4fb0, receiver=0xab7bd60, event=0x7fff49ff3020)
    at /var/tmp/portage/kde-base/kdelibs-4.3.2-r2/work/kdelibs-4.3.2/kdeui/kernel/kapplication.cpp:302
#20 0x00007f8e74979023 in QCoreApplication::notifyInternal (this=0x7fff49ff4fb0, receiver=0xab7bd60, event=0x7fff49ff3020) at kernel/qcoreapplication.cpp:606
#21 0x00007f8e71e4fe68 in sendSpontaneousEvent (event=<value optimized out>, receiver=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#22 QApplicationPrivate::sendMouseEvent (event=<value optimized out>, receiver=<value optimized out>) at kernel/qapplication.cpp:2924
#23 0x00007f8e71eaa53b in QETWidget::translateMouseEvent (this=0xab7bd60, event=<value optimized out>) at kernel/qapplication_x11.cpp:4338
#24 0x00007f8e71ea8ea5 in QApplication::x11ProcessEvent (this=0x7fff49ff4fb0, event=0x7fff49ff4a10) at kernel/qapplication_x11.cpp:3545
#25 0x00007f8e71ecd894 in x11EventSourceDispatch (s=0x6b5c00, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#26 0x00007f8e708e26a0 in g_main_dispatch (context=<value optimized out>) at gmain.c:1824
#27 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2377
#28 0x00007f8e708e5d38 in g_main_context_iterate (context=0x6b4920, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2455
#29 0x00007f8e708e5efc in IA__g_main_context_iteration (context=0x6b4920, may_block=1) at gmain.c:2518
#30 0x00007f8e7499dbef in QEventDispatcherGlib::processEvents (this=0x615850, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#31 0x00007f8e71ecd15f in QGuiEventDispatcherGlib::processEvents (this=0x7fff49ff2130, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#32 0x00007f8e74977a22 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#33 0x00007f8e74977bbc in QEventLoop::exec (this=0x7fff49ff4d40, flags=...) at kernel/qeventloop.cpp:197
#34 0x00007f8e74979bb4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#35 0x00007f8e68c35767 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at /var/tmp/portage/kde-base/konqueror-4.3.2/work/konqueror-4.3.2/konqueror/src/konqmain.cpp:257
#36 0x0000000000407564 in launch (argc=2, _name=0x656de8 "/usr/bin/konqueror", args=<value optimized out>, cwd=0x0, envc=0, envs=0x656e0c "", reset_env=false, tty=0x0, avoid_loops=false, 
    startup_id_str=0x656e14 "tolkien;1257032573;256616;8963_TIME10601111") at /var/tmp/portage/kde-base/kdelibs-4.3.2-r2/work/kdelibs-4.3.2/kinit/kinit.cpp:677
#37 0x0000000000407d50 in handle_launcher_request (sock=7, who=<value optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.3.2-r2/work/kdelibs-4.3.2/kinit/kinit.cpp:1169
#38 0x00000000004082ae in handle_requests (waitForPid=0) at /var/tmp/portage/kde-base/kdelibs-4.3.2-r2/work/kdelibs-4.3.2/kinit/kinit.cpp:1362
#39 0x0000000000408dcd in main (argc=2, argv=0x7fff49ff65b8, envp=0x7fff49ff65d0) at /var/tmp/portage/kde-base/kdelibs-4.3.2-r2/work/kdelibs-4.3.2/kinit/kinit.cpp:1793
Warning: the current language does not match this frame.
Comment 1 Martin Koller 2011-05-30 09:48:17 UTC
Git commit ec4483ad920f248f00baf6b6451b5c020be80e73 by Martin Koller.
Committed on 30/05/2011 at 09:47.
Pushed by mkoller into branch 'master'.

avoid 0-pointer deref

BUG: 212586

M  +2    -1    konqueror/src/konqmainwindow.cpp     

http://commits.kde.org/kde-baseapps/ec4483ad920f248f00baf6b6451b5c020be80e73